import request from '@/utils/request'

// 查询常用网站列表
export function listSite(query) {
  return request({
    url: '/bid/site/list',
    method: 'get',
    params: query
  })
}

// 查询常用网站详细
export function getSite(id) {
  return request({
    url: '/bid/site/' + id,
    method: 'get'
  })
}

// 新增常用网站
export function addSite(data) {
  return request({
    url: '/bid/site',
    method: 'post',
    data: data
  })
}

// 修改常用网站
export function updateSite(data) {
  return request({
    url: '/bid/site',
    method: 'put',
    data: data
  })
}

// 删除常用网站
export function delSite(id) {
  return request({
    url: '/bid/site/' + id,
    method: 'delete'
  })
}
